cd data1

# RENUM PARAMETER FILE FOR YW
rm -f renum1.par
echo "DATAFILE
example10.dat
TRAITS
7
FIELDS_PASSED TO OUTPUT

WEIGHT(S)

RESIDUAL_VARIANCE
715.13
EFFECT
4 cross alpha
EFFECT
14 cov
EFFECT
1 cross alpha
RANDOM
animal
OPTIONAL
mat
FILE
example10.ped
FILE_POS
1 2 3 0 4
PED_DEPTH
3
(CO)VARIANCES
438.90 -35.80
-35.80  73.24
EFFECT
15 cross alpha
RANDOM
diagonal
(CO)VARIANCES
242.12
OPTION method VCE
OPTION se_covar_function H2d G_3_3_1_1/(G_3_3_1_1+G_3_4_1_1+G_4_4_1_1+G_5_5_1_1+R_1_1) 
OPTION se_covar_function H2m G_4_4_1_1/(G_3_3_1_1+G_3_4_1_1+G_4_4_1_1+G_5_5_1_1+R_1_1)
OPTION se_covar_function r_dm G_3_4_1_1/(G_3_3_1_1*G_4_4_1_1)**0.5
OPTION se_covar_function hs G_5_5_1_1/(G_3_3_1_1+G_3_4_1_1+G_4_4_1_1+G_5_5_1_1+R_1_1)
OPTION use_yams" >> renum1.par

# RENUMF90
time ./renumf90 renum1.par | tee renum1.log

# BLUPF90+
time ./blupf90+ renf90.par | tee vce1.log

# RENUM PARAMETER FILE FOR BW, WW, and YW
rm -f renum3.par
echo "DATAFILE
example10.dat
TRAITS
5 6 7
FIELDS_PASSED TO OUTPUT

WEIGHT(S)

RESIDUAL_VARIANCE
22.92  28.79  85.95
28.79 207.58 180.90
85.95 180.90 488.42
EFFECT
2 3 4 cross alpha
EFFECT
14 14 14 cov
EFFECT
1 1 1 cross alpha
RANDOM
animal
OPTIONAL
mat
FILE
example10.ped
FILE_POS
1 2 3 0 4
PED_DEPTH
3
(CO)VARIANCES
 32.79  -7.22 -11.07 -8.59  -0.35  -0.68
 -7.22 258.06  87.66  4.55  21.57  29.92
-11.07  87.66 194.34  4.54  23.12  26.67
 -8.59   4.55   4.54 46.91   0.60  -0.08
 -0.35  21.57  23.12  0.60 132.24  29.95
 -0.68  29.92  26.67 -0.08  29.95 132.65
EFFECT
15 15 15 cross alpha
RANDOM
diagonal
(CO)VARIANCES
9.61   3.42   2.36
3.42 224.03 148.26
2.36 148.26 242.12
OPTION use_yams" >> renum3.par

# RENUMF90
time ./renumf90 renum3.par | tee renum2.log

# BLUPF90+
time ./blupf90+ renf90.par | tee blup.log

cd ../

cd data2
# RENUMF90 
rm -f renumrrl.par
echo "# Parameter file for Random regression model 
DATAFILE
datrr.leg
TRAITS
4  
FIELDS_PASSED TO OUTPUT
2  
WEIGHT(S)

RESIDUAL_VARIANCE 
3.710
EFFECT
3 cross alpha
EFFECT
5 cross alpha
FIXED_REGRESSION
data
RR_POSITION
6 7 8 9 10
EFFECT
1 cross alpha
RANDOM
animal
OPTIONAL
pe
FILE
pedrr
RANDOM_REGRESSION
data
RR_POSITION
6 7 8
(CO)VARIANCES
 3.297  0.594 -1.381
 0.594  0.921 -0.289
-1.381 -0.289  1.005
(CO)VARIANCES_PE
 6.872 -0.254 -1.101
-0.254  3.171  0.167
-1.101  0.167  2.457" >> renumrrl.par

# RENUMF90
time ./renumf90 renumrrl.par | tee renumrrl.log

# BLUPF90+
time ./blupf90+ renf90.par | tee bluprrl.log

# RENUMF90 
rm -f renumrr.par
echo "# Parameter file for Random regression model 
DATAFILE
datrr.leg
TRAITS
4  
FIELDS_PASSED TO OUTPUT
2  
WEIGHT(S)

RESIDUAL_VARIANCE 
3.710
EFFECT
3 cross alpha
EFFECT
5 cross alpha
FIXED_REGRESSION
legendre
RR_POSITION
5 2
EFFECT
1 cross alpha
RANDOM
animal
OPTIONAL
pe
FILE
pedrr
RANDOM_REGRESSION
legendre
RR_POSITION
3 2
(CO)VARIANCES
 3.297  0.594 -1.381
 0.594  0.921 -0.289
-1.381 -0.289  1.005
(CO)VARIANCES_PE
 6.872 -0.254 -1.101
-0.254  3.171  0.167
-1.101  0.167  2.457" >> renumrr.par

# RENUMF90
time ./renumf90 renumrr.par | tee renumrr.log

# BLUPF90+
echo "OPTION store_pev_pec 7 8 9" >> renf90.par
time ./blupf90+ renf90.par | tee bluprr.log

# RRMEBVF90
echo "OPTION include_effects 7 8 9
OPTION minmaxrr 5 305
OPTION timepoint 305" >> renf90.par
time ./rrmebvf90 renf90.par | tee rrmebv1.log

# RRMEBVF90
sed -i -e '/OPTION timepoint 305/d' renf90.par
echo "OPTION include_pev
OPTION cumulative 5 305" >> renf90.par
time ./rrmebvf90 renf90.par | tee rrmebv2.log

cd ../

cd data3
# RENUMF90
rm -f renum5.par
echo "DATAFILE
phenotypes.txt
TRAITS
2 3 4 5 6
FIELDS_PASSED TO OUTPUT
 
WEIGHT(S)

RESIDUAL_VARIANCE
2.92 0 0 0 0
0 11.08 0 0 0
0 0 1.08 0 0
0 0 0 3.57 0
0 0 0 0 2120.09
EFFECT
7 7 7 7 7 cross alpha
EFFECT
1 1 1 1 1 cross alpha
RANDOM
animal
FILE
pedigree.txt
FILE_POS
1 2 3 0 0
SNP_FILE
gen1500.txt
PED_DEPTH
3
(CO)VARIANCES
0.22 0.34 0.08 0.31 2.76
0.34 2.11 0.35 0.81 17.09
0.08 0.35 0.66 0.08 9.56
0.31 0.81 0.08 4.93 13.06
2.76 17.09 9.56	13.06 3459.09" >> renum5.par

# RENUMF90
time ./renumf90 renum5.par | tee renum5.log

# BLUPF90+ BLKSIZE = DEFAULT
time ./blupf90+ renf90.par | tee blup1.log

# BLUPF90+ BLKSIZE = 5
echo "OPTION blksize 5" >> renf90.par
time ./blupf90+ renf90.par | tee blup2.log

# BLUPF90+ BLKSIZE = 5 NO GENOMIC
sed -i -e '/OPTION SNP_file gen1500.txt/d' renf90.par
time ./blupf90+ renf90.par | tee blup3.log